package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_省库项目对象 zsyz_skxm
 * 
 * @author boman
 * @date 2023-03-28
 */
public class ZsyzSkxm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 是否徽商项目 N:否 Y:是 */
    @Excel(name = "是否徽商项目 N:否 Y:是")
    private String isHs;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 批准文号 */
    @Excel(name = "批准文号")
    private String pzwh;

    /** 企业营业执照 */
    @Excel(name = "企业营业执照")
    private String yyzz;

    /** 所在地区编码 */
    @Excel(name = "所在地区编码")
    private String szdqId;

    /** 所在地区名称 */
    @Excel(name = "所在地区名称")
    private String szdqName;

    /** 所属产业 */
    @Excel(name = "所属产业")
    private String sscy;

    /** 新兴产业 */
    @Excel(name = "新兴产业")
    private String xxcy;

    /** 主导产业 */
    @Excel(name = "主导产业")
    private String zdcy;

    /** 是否龙头企业 */
    @Excel(name = "是否龙头企业")
    private String isLt;

    /** 是否非住宅类房地产业 */
    @Excel(name = "是否非住宅类房地产业")
    private String isFzzlfdcy;

    /** 投资方式 */
    @Excel(name = "投资方式")
    private String tzfs;

    /** 项目入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rkTime;

    /** 开工建设日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开工建设日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kgjsTime;

    /** 建设完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建设完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jswcTime;

    /** 总投资额(万元) */
    @Excel(name = "总投资额(万元)")
    private String ztze;

    /** 省外资金(万元) */
    @Excel(name = "省外资金(万元)")
    private String swzj;

    /** 最新建设进度 （简要填写，新建项目是否出正负零，在建项目突出关键建设节点） */
    @Excel(name = "最新建设进度 ", readConverterExp = "简=要填写，新建项目是否出正负零，在建项目突出关键建设节点")
    private String jsjd;

    /** 项目内容 */
    @Excel(name = "项目内容")
    private String xmnr;

    /** 存在问题 */
    @Excel(name = "存在问题")
    private String czwt;

    /** 是否审核 1:未审核 2:已审核 3:已拒绝 */
    @Excel(name = "是否审核 1:未审核 2:已审核 3:已拒绝")
    private String isSh;

    /** 审核人 */
    @Excel(name = "审核人")
    private String shName;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shTime;

    /** 审核建议(原因) */
    @Excel(name = "审核建议(原因)")
    private String shJy;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;
    /**
     * 省外投资单位
     */
    private List<ZsyzSkSwtzdw> zsyzSkSwtzdwList;
    /**
     * 到资金额
     */
    private List<ZsyzSkDzje> zsyzSkDzjeList;

    /** 注资金额 */
    @Excel(name = "注资金额")
    private Long zzje;

    /** 附件集合 */
    private List<ZsyzFj> zsyzFjList;

    public List<ZsyzFj> getZsyzFjList() {
        return zsyzFjList;
    }

    public void setZsyzFjList(List<ZsyzFj> zsyzFjList) {
        this.zsyzFjList = zsyzFjList;
    }

    public Long getZzje() {
        return zzje;
    }

    public void setZzje(Long zzje) {
        this.zzje = zzje;
    }

    public List<ZsyzSkSwtzdw> getZsyzSkSwtzdwList() {
        return zsyzSkSwtzdwList;
    }

    public void setZsyzSkSwtzdwList(List<ZsyzSkSwtzdw> zsyzSkSwtzdwList) {
        this.zsyzSkSwtzdwList = zsyzSkSwtzdwList;
    }

    public List<ZsyzSkDzje> getZsyzSkDzjeList() {
        return zsyzSkDzjeList;
    }

    public void setZsyzSkDzjeList(List<ZsyzSkDzje> zsyzSkDzjeList) {
        this.zsyzSkDzjeList = zsyzSkDzjeList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsHs(String isHs) 
    {
        this.isHs = isHs;
    }

    public String getIsHs() 
    {
        return isHs;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setPzwh(String pzwh) 
    {
        this.pzwh = pzwh;
    }

    public String getPzwh() 
    {
        return pzwh;
    }
    public void setYyzz(String yyzz) 
    {
        this.yyzz = yyzz;
    }

    public String getYyzz() 
    {
        return yyzz;
    }
    public void setSzdqId(String szdqId) 
    {
        this.szdqId = szdqId;
    }

    public String getSzdqId() 
    {
        return szdqId;
    }
    public void setSzdqName(String szdqName) 
    {
        this.szdqName = szdqName;
    }

    public String getSzdqName() 
    {
        return szdqName;
    }
    public void setSscy(String sscy) 
    {
        this.sscy = sscy;
    }

    public String getSscy() 
    {
        return sscy;
    }
    public void setXxcy(String xxcy) 
    {
        this.xxcy = xxcy;
    }

    public String getXxcy() 
    {
        return xxcy;
    }
    public void setZdcy(String zdcy) 
    {
        this.zdcy = zdcy;
    }

    public String getZdcy() 
    {
        return zdcy;
    }
    public void setIsLt(String isLt) 
    {
        this.isLt = isLt;
    }

    public String getIsLt() 
    {
        return isLt;
    }
    public void setIsFzzlfdcy(String isFzzlfdcy) 
    {
        this.isFzzlfdcy = isFzzlfdcy;
    }

    public String getIsFzzlfdcy() 
    {
        return isFzzlfdcy;
    }
    public void setTzfs(String tzfs) 
    {
        this.tzfs = tzfs;
    }

    public String getTzfs() 
    {
        return tzfs;
    }
    public void setRkTime(Date rkTime) 
    {
        this.rkTime = rkTime;
    }

    public Date getRkTime() 
    {
        return rkTime;
    }
    public void setKgjsTime(Date kgjsTime) 
    {
        this.kgjsTime = kgjsTime;
    }

    public Date getKgjsTime() 
    {
        return kgjsTime;
    }
    public void setJswcTime(Date jswcTime) 
    {
        this.jswcTime = jswcTime;
    }

    public Date getJswcTime() 
    {
        return jswcTime;
    }
    public void setZtze(String ztze) 
    {
        this.ztze = ztze;
    }

    public String getZtze() 
    {
        return ztze;
    }
    public void setSwzj(String swzj) 
    {
        this.swzj = swzj;
    }

    public String getSwzj() 
    {
        return swzj;
    }
    public void setJsjd(String jsjd) 
    {
        this.jsjd = jsjd;
    }

    public String getJsjd() 
    {
        return jsjd;
    }
    public void setXmnr(String xmnr) 
    {
        this.xmnr = xmnr;
    }

    public String getXmnr() 
    {
        return xmnr;
    }
    public void setCzwt(String czwt) 
    {
        this.czwt = czwt;
    }

    public String getCzwt() 
    {
        return czwt;
    }
    public void setIsSh(String isSh) 
    {
        this.isSh = isSh;
    }

    public String getIsSh() 
    {
        return isSh;
    }
    public void setShName(String shName) 
    {
        this.shName = shName;
    }

    public String getShName() 
    {
        return shName;
    }
    public void setShTime(Date shTime) 
    {
        this.shTime = shTime;
    }

    public Date getShTime() 
    {
        return shTime;
    }
    public void setShJy(String shJy) 
    {
        this.shJy = shJy;
    }

    public String getShJy() 
    {
        return shJy;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("isHs", getIsHs())
            .append("xmmc", getXmmc())
            .append("pzwh", getPzwh())
            .append("yyzz", getYyzz())
            .append("szdqId", getSzdqId())
            .append("szdqName", getSzdqName())
            .append("sscy", getSscy())
            .append("xxcy", getXxcy())
            .append("zdcy", getZdcy())
            .append("isLt", getIsLt())
            .append("isFzzlfdcy", getIsFzzlfdcy())
            .append("tzfs", getTzfs())
            .append("rkTime", getRkTime())
            .append("kgjsTime", getKgjsTime())
            .append("jswcTime", getJswcTime())
            .append("ztze", getZtze())
            .append("swzj", getSwzj())
            .append("jsjd", getJsjd())
            .append("xmnr", getXmnr())
            .append("czwt", getCzwt())
            .append("isSh", getIsSh())
            .append("shName", getShName())
            .append("shTime", getShTime())
            .append("shJy", getShJy())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("zzje", getZzje())
            .toString();
    }
}
